Inhalte

# Funktion Shell

Startet ein anderes Anwendungsprogramm und bestimmt bei Bedarf dessen Darstellungsform.

### Syntax:

Shell (Pfadname As String[, Fensterdarstellung As Integer[, Parameter As String[, bSync]]])

### Parameter:

### Pfadname

Name des Programms, das Sie starten möchten, optional mit vollständigem Pfad und/oder Argumenten.

### Fensterdarstellung

Optionaler ganzzahliger Ausdruck, der die Darstellung des Fensters festlegt, in dem das Programm ausgeführt wird.

Der Parameter Windowstyle ist nur auf Windows-Systemen wirksam. Auf anderen Systemen wird der Parameter ignoriert.

Folgende Werte sind möglich:

Windowstyle | Bedeutung
--- | ---
0 | Der Fokus liegt auf dem versteckten Programmfenster. Nicht implementiert in LibreOffice.
1 | Der Fokus liegt auf dem Programmfenster in der Standardgröße. Nicht implementiert in LibreOffice.
2 | Das Programmfenster wird als Symbol angezeigt und ist fokussiert.
3 | Das Programmfenster wird in Maximalgröße angezeigt und ist fokussiert.
4 | Das Programmfenster wird in Standardgröße angezeigt, ohne Fokus. Nicht implementiert in LibreOffice.
6 | Das Programmfenster wird als Symbol angezeigt; das aktuelle Fenster behält den Fokus. Nicht implementiert in LibreOffice.
10 | Vollbilddarstellung.

Windowstyle 3 und 10 sind in Windows-Systemen gleich.

### Parameter

Zeichenfolge, die zusätzliche Argumente festlegt, die an das Programm übergeben werden.

### bSync

Ist dieser Wert auf True gesetzt, so warten der Shell-Befehl und alle anderen LibreOffice-Tasks, bis der so gestartete Shell-Prozess beendet ist. Ist der Wert auf False gesetzt, wird das Kommando sofort wieder zurückgegeben. Der Standardwert ist False.

### Fehlercodes:

5 Ungültiger Prozeduraufruf

53 Datei nicht gefunden

73 Nicht implementiert

### Beispiel:

    Sub ExampleShellForWin
        Shell("c:\windows\calc.exe",2)
    End Sub